<!DOCTYPE html>
<html>
<head>

	<meta name="viewport" content="width=device-width, initial-scale=1">

	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">

	<!-- Custom / External CSS -->
	<!-- <link rel="stylesheet" type="text/css" href="./index.css"> -->
	<title>CSS and Bootstrap Flex</title>
</head>
<body>

	<div class="text-center">
		<h1>Bootstrap Flex</h1>
		<p>Use the d-flex class to create a flex container and transform direct children into flex items</p>
		
		<h2>Centering Elements</h2>
		<div class="bg-secondary p-3 d-flex justify-content-center align-items-center flex-column-reverse">
			<div class="bg-success h-25 p-3">Flex Item A</div>
			<div class="bg-warning h-25 p-3">Flex Item B</div>
			<div class="bg-danger h-25 p-3">Flex Item C</div>
		</div>

		<h2>Flex Row</h2>
		<div class="bg-dark p-3 d-flex flex-row">
			<div class="bg-success h-25 p-3">Flex Item A</div>
			<div class="bg-warning h-25 p-3">Flex Item B</div>
			<div class="bg-danger h-25 p-3">Flex Item C</div>
		</div>

		<h2>Flex Row Reverse</h2>
		<div class="bg-dark p-3 d-flex flex-row-reverse">
			<div class="bg-success h-25 p-3">Flex Item A</div>
			<div class="bg-warning h-25 p-3">Flex Item B</div>
			<div class="bg-danger h-25 p-3">Flex Item C</div>
		</div>

		<h2>Creating Space Between Elements</h2>
		<div class="bg-dark p-3 d-md-flex justify-content-around">
			<div class="bg-success p-3 col-md-2">Card A</div>
			<div class="bg-warning p-3 col-md-2">Card B</div>
			<div class="bg-danger p-3 col-md-2">Card C</div>
		</div>

		<h2>Flexbox with Margin</h2>
		<div class="bg-dark p-3 d-flex">
			<div class="p-3 bg-success me-auto">Flex Item A</div>			
			<div class="p-3 bg-warning">Flex Item B</div>			
			<div class="p-3 bg-danger">Flex Item C</div>			
			<div class="p-3 bg-info">Flex Item D</div>			
		</div>

		<h2>Nested Flex Elements</h2>
		<div class="bg-dark p-3 d-block d-md-flex">
			<div class="p-3 bg-success me-auto">Flex Item A</div>
			<div class="w-50 d-block d-md-flex justify-content-between">
			<div class="p-3 bg-success">Flex Item B</div>
			<div class="p-3 bg-warning">Flex Item C</div>
			<div class="p-3 bg-info">Flex Item D</div>
			
			</div>
		</div>
	</div>

	<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>

</body>
</html>